# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test_56
# FileName:      test_bpm.py
# Author:       xxxxxxx
# Datetime:     2023/8/4 15:54
# Description:
# 
# ---------------------------------------------------------------------------
import pytest

from learn.APIAutoTest_02.common.read_excel import ReadExcel


class TestBPM:

    @pytest.mark.parametrize("req_method, url, mime, case_data, expect_data, sql_type, sql_sentence, update_key", ReadExcel().get_data())
    def test_bpm(self, db_fix, req_fix, req_method, url, mime, case_data, expect_data, sql_type, sql_sentence, update_key):
        print(req_method, url, mime, case_data, expect_data, sql_type, sql_sentence, update_key)

        if sql_type == "delete":
            db_fix.delete(sql_sentence)
            result = req_fix.request_all(method=req_method, url=url, mime=mime, case_data=case_data)

        elif sql_type == "select":
            select_result = db_fix.select(sql_sentence)
            case_data[update_key] = select_result
            print(case_data)
            result = req_fix.request_all(method=req_method, url=url, mime=mime, case_data=case_data)

        elif sql_type == "select|delete" or sql_type == "delete|select":

            db_fix.delete(sql_sentence["delete"])

            select_result = db_fix.select(sql_sentence["select"])
            case_data[update_key] = select_result
            result = req_fix.request_all(method=req_method, url=url, mime=mime, case_data=case_data)

        else:
            result = req_fix.request_all(method=req_method, url=url, mime=mime, case_data=case_data)


        print("="*100)
        print("服务器返回数据", result.json())
        try:
            for key in expect_data.keys():
                assert expect_data[key] == result.json().get(key)
        except:
            raise AssertionError("断言失败")
        else:
            print("断言成功")


if __name__ == '__main__':
    pytest.main()